package com.slodon.b2b2c.vo.business;

import com.slodon.b2b2c.seller.pojo.EnquiryReceiveMailSetting;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author cyan
 */
@Data
public class OrderEnquiryReceiverMailVO implements Serializable {

    private static final long serialVersionUID = -8426680439937326616L;
    private Long id;

    private String webSite;

    private Long storeId;

    private String email;

    private String phone;

    private Long operateUid;

    private String operateName;

    private String isDel;

    private Date createTime;

    public OrderEnquiryReceiverMailVO(EnquiryReceiveMailSetting receiveMailSetting) {
        id = receiveMailSetting.getId();
        webSite = receiveMailSetting.getWebSite();
        storeId = receiveMailSetting.getStoreId();
        email = receiveMailSetting.getEmail();
        phone = receiveMailSetting.getPhone();
        operateUid = receiveMailSetting.getOperateUid();
        operateName = receiveMailSetting.getOperateName();
        isDel = receiveMailSetting.getIsDel();
        createTime = receiveMailSetting.getCreateTime();
    }

}
